> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves plug types

> Retrieves plug types. Required permission: assets:plug-type:list



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/plug-types
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/plug-types:
    get:
      tags:
        - PlugTypes
      summary: Retrieves plug types
      description: 'Retrieves plug types. Required permission: assets:plug-type:list'
      operationId: /api/v1/assets/plug-types_GET
      parameters: []
      responses:
        '200':
          description: PlugType collection
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - plug_types
                properties:
                  plug_types:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int32
                          description: Plug type id
                        name:
                          type: string
                          maxLength: 100
                          description: Plug type name
                        standard:
                          type: string
                          maxLength: 100
                          description: Standard
                        oicp:
                          type: string
                          maxLength: 100
                          description: OICP
                        default_ampere:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Default ampere
                        default_voltage:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Default voltage
                        default_phase:
                          type: string
                          enum:
                            - ac1
                            - ac3
                            - dc
                          description: Default phase
                        default_max_power:
                          type: number
                          format: float
                          minimum: 0
                          description: Default max power
                        default_fixable:
                          type: boolean
                          default: false
                          description: Default fixable
                        default_with_cable:
                          type: boolean
                          default: false
                          description: Default with cable
                        default_cable_length:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Default cable length
                      required:
                        - id
                        - name
                        - standard
                        - oicp
                        - default_ampere
                        - default_voltage
                        - default_phase
                        - default_max_power
                        - default_fixable
                        - default_with_cable
                        - default_cable_length
                      description: PlugType
                    description: PlugTypes
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:plug-type
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves plugs](/api-reference/plugs/retrieves-plugs.md)
- [Retrieves details for a plug](/api-reference/plugs/retrieves-details-for-a-plug.md)
- [Retrieves facility types](/api-reference/facility-types/retrieves-facility-types.md)
